#
# spec file for package libmpdclient
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define so_name 2
Name:           libmpdclient
Version:        2.13
Release:        lp151.2.2
Summary:        Library for interfacing the Music Player Daemon
License:        BSD-3-Clause
Group:          Development/Libraries/C and C++
Url:            http://www.musicpd.org/libs/libmpdclient/
Source:         http://www.musicpd.org/download/libmpdclient/2/%{name}-%{version}.tar.xz
BuildRequires:  meson >= 0.40
BuildRequires:  ninja
BuildRequires:  pkgconfig
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A stable, documented, asynchronous API library for interfacing MPD (Music Player Daemon)
in the C, C++ & Objective C languages.

%package -n %{name}%{so_name}
Summary:        Library for interfacing the Music Player Daemon
Group:          System/Libraries

%description -n %{name}%{so_name}
A stable, documented, asynchronous API library for interfacing MPD (Music Player Daemon).

%package devel
Summary:        Development files for libmpdclient
Group:          Development/Languages/C and C++
Requires:       %{name}%{so_name} = %{version}

%description devel
This package contains the development files, e.g. header-files, for
libmpdclient - a stable, documented and asynchronous API library for
MPD (Music Player Daemon).

%prep
%setup -q

%build
meson \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --bindir %{_bindir} \
    --sbindir %{_sbindir} \
    --includedir %{_includedir} \
    --datadir %{_datadir} \
    --mandir %{_mandir} \
    --infodir %{_infodir} \
    --localedir %{_datadir}/locale \
    --sysconfdir %{_sysconfdir} \
    --localstatedir %{_localstatedir} \
    --sharedstatedir %{_sharedstatedir} \
    --default-library shared \
    --backend ninja \
    -D documentation=false \
    . output
ninja -C output %{?_smp_flags}

%install
env DESTDIR=%{buildroot} \
ninja -C output install
rm -rf %{buildroot}/usr/share/doc

%post   -n %{name}%{so_name} -p /sbin/ldconfig

%postun -n %{name}%{so_name} -p /sbin/ldconfig

%files -n %{name}%{so_name}
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_libdir}/%{name}.so.*

%files devel
%defattr(644, root, root)
%doc NEWS
%{_includedir}/mpd
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/libmpdclient.pc
%{_datadir}/vala

%changelog
* Thu Jul 27 2017 olaf@aepfle.de
- Update to 2.13
  * fix build with meson > 0.38.1
  * fix connect error "Operation now in progress"
  * support MPD protocol 0.21
  - support tag "OriginalDate"
  - command "tagtypes" plus "disable", "enable", "clear"
  * support MPD protocol 0.20
  - support "plchanges" and "plchangesposid" with range
  * support MPD protocol 0.19
  - commands "addtagid", "cleartagid"
  - command "listfiles"
  - grouping for "list" and "count"
  - tag "AlbumSort"
  - "seekid" with float time
  * use relative #include paths to avoid clashes with other libmpdclient copies
  * build with Meson instead of autotools
* Mon Apr 17 2017 olaf@aepfle.de
- Update to 2.11
  * fix heap corruption with mpd_connection_new_async()
  * add space before "window" search argument
  * detect getaddrinfo() at configure time
  * add support for ArtistSort and AlbumArtistSort tags
  * support MPD protocol 0.21
  - audio format specifications "dsd64" etc.
* Sun Nov  1 2015 rpm@fthiessen.de
- Updated package to 2.10
  * support abstract sockets with "@" prefix
  * support tag "MUSICBRAINZ_RELEASETRACKID"
  * add TCP keepalive internal and external APIs
  * support MPD protocol 0.19 and 0.20
* Sat Oct 31 2015 rpm@fthiessen.de
- Initial version 2.9
